<?php
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_dt_sc_estimator_multiply_block extends WPBakeryShortCodesContainer { }
}

vc_map( array(
    "name"                    => esc_html__( "Multiply Block", 'dt-estimator' ),
    "base"                    => "dt_sc_estimator_multiply_block",
    "icon"                    => "dt_sc_estimator_multiply_block",
    "show_settings_on_create" => false,
    "description"             => esc_html__( 'Estimator Multiply Container', 'dt-estimator' ),
    "category"                => esc_html__( 'Estimator', 'dt-estimator' ),
    "js_view"                 => "VcColumnView",
    "content_element"         => true,
    "as_parent"               => array( "except" => 'vc_row_inner,vc_column_inner,
                                    dt_sc_estimator,
                                    dt_sc_estimator_multiply_block,dt_sc_estimator_group_block,
                                    dt_sc_estimator_field_switch_woo,dt_sc_estimator_field_dropdown_woo,dt_sc_estimator_field_slider_woo' ),
    "as_child"                => array( "only" => "dt_sc_estimator" ),
    "params"                  => array(

        # ID
        array(
            'type'             => 'el_id',
            'param_name'       => 'el_id',
            'edit_field_class' => 'hidden',
            'settings'         => array (
                'auto_generate'    => true
            )
        ),

        array(
            'type'       => 'css_editor',
            'heading'    => esc_html__( 'Css', 'dt-estimator' ),
            'param_name' => 'css',
            'group'      => esc_html__( 'Design options', 'dt-estimator' ),
        ),        

        array(
            'type'        => 'textfield',
            'heading'     => __( 'Extra class name', 'dt-estimator' ),
            'param_name'  => 'el_class',
            'group'       => esc_html__( 'Design options', 'dt-estimator' ),
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'dt-estimator' ),
        ),                
    )
) );