<?php
vc_map( array(
    "name"        => esc_html__( "Woo Slider", 'dt-estimator' ),
    "base"        => "dt_sc_estimator_field_slider_woo",
    "icon"        => "dt_sc_estimator_field_slider_woo",
    "description" => esc_html__( 'Slider Element', 'dt-estimator' ),
    "category"    => esc_html__( 'Estimator', 'dt-estimator' ),
    "as_child"    => array( "only" => "vc_row_inner,vc_column_inner,dt_sc_estimator" ),
    "params"      => array(
        # ID
        array(
            'type'             => 'el_id',
            'param_name'       => 'el_id',
            'edit_field_class' => 'hidden',
            'settings'         => array (
                'auto_generate'    => true
            )
        ),

        # Label
        array(
            'type'        => 'textfield', 
            'param_name'  => 'label',
            'heading'     => esc_html__('Label', 'dt-estimator' ),
            'save_always' => true,
            'admin_label' => true,
        ),

        # Product
        array(
            'type'        => 'autocomplete', 
            'param_name'  => 'pid',
            'heading'     => esc_html__('Product', 'dt-estimator' ),
            'admin_label' => true,
            'save_always' => true,
            'description' => __( 'Select a product which has In Stock available', 'dt-estimator' ),
        ),        

        array(
            'type'       => 'css_editor',
            'heading'    => esc_html__( 'Css', 'dt-estimator' ),
            'param_name' => 'css',
            'group'      => esc_html__( 'Design options', 'dt-estimator' ),
        ),
        
        array(
            'type'        => 'textfield',
            'heading'     => __( 'Extra class name', 'dt-estimator' ),
            'param_name'  => 'el_class',
            'group'       => esc_html__( 'Design options', 'dt-estimator' ),
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'dt-estimator' ),
        ),        
    )
) );