<?php
if (! class_exists ( 'DTEstimatorGroupContainer' ) ) {
    
    class DTEstimatorGroupContainer extends DTBaseEstimatorSC {

        function __construct() {

            add_shortcode( 'dt_sc_estimator_group_block', array( $this, 'dt_sc_estimator_group_block' ) );
        }

        function dt_sc_estimator_group_block( $attrs, $content = null ) {
            extract ( shortcode_atts ( array (
                'el_id'    => '',
                'eval'     => '',
                'el_class' => '',
                'css'      => '',
            ), $attrs ) );

            if($el_id != '') {
                $el_id = 'dt-'.$el_id;
            }

            $css_classes = array(
            	'dt-sc-simple-estimator-group-wrap',
                $el_class,
                vc_shortcode_custom_css_class( $css ),
            );

            $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), 'dt_sc_estimator_group_block', $attrs ) );
            
            $output  = '<div id="'.esc_attr( $el_id ).'" class="'.esc_attr( $css_class ).'" data-eval="'.strip_tags( $eval ).'">';
                $output .= wptexturize( do_shortcode( $content ) );
            $output .= '</div>';

            return $output;
        }
    }
}

new DTEstimatorGroupContainer();