<?php
if (! class_exists ( 'DTEstimatorSlider' ) ) {
    
    class DTEstimatorSlider extends DTBaseEstimatorSC {

        function __construct() {

            add_shortcode( 'dt_sc_estimator_field_slider', array( $this, 'dt_sc_estimator_field_slider' ) );
        }

        function dt_sc_estimator_field_slider( $attrs, $content = null ) {
            extract ( shortcode_atts ( array (
                'el_id'    => '',
                'label'    => '',
                'init'     => '',
                'min'      => '',
                'max'      => '',
                'step'     => '',
                'unit'     => '',
                'css'      => '',
                'el_class' => '',
            ), $attrs ) );

            wp_enqueue_script( 'jquery-ui-slider' );

            $output = '';

            if($el_id != '') {
                $el_id = 'dt-'.$el_id;
            }

            $css_classes = array(
            	'dt-sc-simple-estimator-slider-wrap',
                'dt-sc-simple-estimator-item',
                $el_class,
                vc_shortcode_custom_css_class( $css ),
            );

            $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), 'dt_sc_estimator_field_slider', $attrs ) );


            $output .= '<div id="'.esc_attr( $el_id ).'" class="'.esc_attr( $css_class ).'">';

                    if( !empty( $label ) ) {
                        $output .= '<h4 class="item-label">'. $label .'</h4>';                        
                    }

                    $output .= '<div class="input-item-wrap">';
                        $output .= '<div class="item-input item-slider"
                            data-init="'.esc_attr( $init ).'"
                            data-min="'.esc_attr( $min ).'"
                            data-max="'.esc_attr( $max ).'"
                            data-step="'.esc_attr( $step ).'"
                            data-unit="'.esc_attr( $unit ).'" >';
                        $output .= '</div>';
                        $output .= '<span class="item-slider-value"></span>';
                    $output .= '</div>';
            $output .= '</div>';

            return $output;
        }
    }
}

new DTEstimatorSlider();