<?php
if (! class_exists ( 'DTCoreWidgets' )) {
	
	/**
	 * Used to "Loades Core Widgets"
	 *
	 * @author iamdesigning11
	 */
	class DTCoreWidgets {

		/**
		 * Constructor for DTCoreWidgets
		 */
		function __construct() {

			require_once plugin_dir_path ( __FILE__ ) . 'widget-twitter.php';
			require_once plugin_dir_path ( __FILE__ ) . 'widget-flickr.php';
			require_once plugin_dir_path ( __FILE__ ) . 'widget-recent-posts.php';
			require_once plugin_dir_path ( __FILE__ ) . 'widget-recent-portfolios.php';

			add_action( 'widgets_init', array( $this, 'dt_wp_widgets_init') );
		}

		function dt_wp_widgets_init() {
			
			register_widget('HomeFix_Twitter');
			register_widget('HomeFix_Flickr');
			register_widget('HomeFix_Recent_Posts');
			register_widget('HomeFix_Portfolio_Widget');
		}
	}
}
?>